ROHTO BUGS - Bug #535

menambahkan validasi ESS Leave pad saat mengajukan cuti, quota nya yang remaining -1
11/05/2021 04:06 PM - Muhammad Bintar

Status: Closed Start date: 11/05/2021
Priority: Normal Due date: 11/05/2021
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description
dear tim developer, mohon supportnya untuk penambahan validasi pada ess leave dimana pada saat mengajukan cuti memiliki -1 ,
maka akan ada validasi untuk tidak dapat mengajukan ess leave tersebut.
Rohto Production
sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 11/10/2021 02:43 PM - Muhammad Bintar

- Assignee changed from Kezia Pawitra Yulianti to Mr. Yusuf

#2 - 11/10/2021 03:59 PM - Muhammad Bintar
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#3 - 11/10/2021 04:01 PM - M Azid Wahyudi

- File validasiRhoto101121.txt added

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

=> penambahan CekLvDate di field OnlInitExtensions di 'field[name=StartDate]": {
change: function (field) {

selectDate(field);

filEndDate(field);

CekLvDate(); // penambahan

}

13

'field[name=AbsenceType]": {
select: function (field) {
selectAbsenceType(field);
filEndDate(field);

CutiThn(); // penambahan

}

1

/I penambahan field[name=TotalRemainingQuota]
'field[name=TotalRemainingQuota]': {

change: function () {

CekLvMin();

}

2

=> penambahan function di field OnMethodExtensions:

function CekLvDate() {

debugger;

var body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();
var emp = MinovaUtil. WORKFLOW.getEmpld();

var StartDate = body.down('field[name=StartDate]').getValue();
varLv=";

varlv2 =";

MinovaUtil.ExecuteParamQuery({

ID: 'LVCKDATE',

StartDate: StartDate,

EmplID: emp

}, function (s) {

d

var result = Ext.decode(s.responseText);

var dt = Ext.decode(Ext.decode(result.data));

if (dt.length == 0) {

Lv=";

}else {

var val = dt®. Tglrovr;

var val2 = dt®. Tglrun;

Lv = val;

Iv2 = val2;

}

D

if (Lv=="1"){

MinovaMessageError("ERROR", "CEK19LV", "', "");
body.down('field[name=StartDate]').setValue(");
body.down('field[name=EndDate]').setValue(");
}elseif (Iv2 =="1") {

MinovaMessageError("ERROR", "CEKRUNLV", ", "");
body.down('field[name=StartDate]').setValue(");
body.down('field[name=EndDate]').setValue(");

1

1

function CekLvMin() {

var Body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();
var ttlquo = Body.down('[name=TotalRemainingQuota]').getValue();
if (ttlquo < 0) {

MinovaMessageError("ERROR", "CEKLVQUQO", ", "");
Body.down('fieldjname=EndDate]').setValue(");

1

}
function CutiThn() {

var body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();

var abs = body.down('[name=AbsenceType]').getValue();

var StartDate = body.down('[name=StartDate]');

var StartD = body.down('[name=StartDate]').getValue();

var EndDate = body.down('[name=EndDate]');

var ss = '19000101";

var ee = '99991231";

var now = MinovaUtil.GetNowDate();

var abss = body.down('[name=TotalAbsenceTaken]');

varres =",

MinovaUltil.ExecuteParamQuery({

ID: 'CEKTWOWEEKLEAVE'

}, function (s) {

var result = Ext.decode(s.responseText);

var dt = Ext.decode(Ext.decode(result.data));

var val = dt®.res;

res = val;

D;

if (abs =='1000") {

StartDate.setMinValue(res.substring(6, 8) + /' + res.substring(4, 6) + /' + res.substring(0, 4));
StartDate.setMaxValue(ee.substring(6, 8) + /' + ee.substring(4, 6) + '/' + ee.substring(0, 4));
EndDate.setMinValue(StartD.substring(6, 8) + /' + StartD.substring(4, 6) + /' + StartD.substring(0, 4));
EndDate.setMaxValue(ee.substring(6, 8) + /' + ee.substring(4, 6) + /' + ee.substring(0, 4));
}else {

StartDate.setMinValue(ss.substring(6, 8) + '/' + ss.substring(4, 6) + '/' + ss.substring(0, 4));
EndDate.setMaxValue(ee.substring(6, 8) + /' + ee.substring(4, 6) + /' + ee.substring(0, 4));
1

}

=> tambah Data di table [dbo].[PCMWFCUSTPARAM] :

1)
ID : LVCKDATE

Value :

DECLARE @Regidtbl TABLE) INSERT INTO @Regidtbl SELECT ReglD FROM dbo.PCMWFRUNMAIN WHERE BizflowID ='MD_Leave_AJTM'
AND EmpIDAs=@EmpID DECLARE @TgIRun TABLE) INSERT INTO @TglRun SELECT DISTINCT CASE WHEN NOT EXISTS (SELECT
DISTINCT Value FROM PCMWFRUNBIZDATA DATA INNER JOIN @Regidtbl reg ON reg.RegID = data.ReglD WHERE FieldID ='StartDate' AND
Value =@StartDate ) THEN '0' ELSE '1' END DECLARE @TglOvr TABLE) INSERT INTO @TglOvr SELECT DISTINCT CASE WHEN NOT EXISTS
(SELECT DISTINCT Startbate FROM PHRPA0019 WHERE EmployeelD = @EmpID AND StartDate =@StartDate) THEN '0' ELSE '1' END SELECT
* FROM @TglOvr, @TgIRun

CommandType : sqlstring

2)
ID : CEKTWOWEEKLEAVE

Value :

DECLARE @Days VARCHAR = (SELECT Value1 FROM dbo.PCMEPGENPARAM WHERE
Parameter="MINIMALHARIPENGAJUANCUTITAHUNAN') DECLARE @Now VARCHAR = (SELECT FORMAT (getdate(), 'yyyymmdd') ) DECLARE
@Two DATETIME = (SELECT DATEADD , GETDATE)) SELECT FORMAT (@Two,'yyyyMMdd') AS res

CommandType : sqlstring

#4 - 10/21/2024 10:39 AM - Muhammad Bintar

- Status changed from QA Test to Closed

Files

clipboard-202111051515-vefnv.png 95.7 KB 11/05/2021 Muhammad Bintar
clipboard-202111051603-swzei.png 59.3 KB 11/05/2021 Muhammad Bintar
validasiRhoto101121.txt 4.47 KB 11/10/2021 M Azid Wahyudi
